#
# spec file for package tcsh (Version 6.12.00)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm

Name:         tcsh
Url:          http://www.tcsh.org/
License:      BSD
Group:        System/Shells
Requires:     gawk textutils
Autoreqprov:  on
Version:      6.12.00
Release:      452.4
Summary:      The C SHell
Source:       ftp.astron.com:/pub/tcsh/tcsh-6.12.00.tar.bz2
Source1:      nls-iconv
Patch:        tcsh-6.12.00.dif
Patch1:       tcsh-6.10.00-mb-enable.dif
Patch2:       tcsh_spelling.dif
Patch3:       tcsh-6.12.00-64bit.dif
Patch4:       utf8-catgets.patch
Patch5:       tcsh-6.12.00-utf8.dif
Patch6:       tcsh-6.12.00-sigpause.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Tcsh is an enhanced, but completely compatible, version of the Berkeley
UNIX C shell, csh(1). It is a command language interpreter usable as an
interactive login shell and a shell script command processor. It
includes a command-line editor, programmable word completion, spelling
correction, a history mechanism, job control, and a C-like syntax.



Authors:
--------
    Christos Zoulas <christos@deshaw.com>
    Scott Krotz <krotz@mot.com>

%prep
%setup
%patch1 -b .mb-enable
%patch2 -b .spell
%patch3 -b .64bit
%patch4 -p1 -b .utf8-catgets
%patch5 -p0 -b .utf8curs
%patch6 -p0 -b .sigpause
%patch

%build
sh $RPM_SOURCE_DIR/nls-iconv
    xmkmf -a
    make
    make catalogs

%install
    rm -rf $RPM_BUILD_ROOT
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/et/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/fi/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/el/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/it/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/ru/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/es/LC_MESSAGES
    mkdir -p -m 0755 $RPM_BUILD_ROOT/usr/share/locale/uk_UA/LC_MESSAGES
    make DESTDIR=$RPM_BUILD_ROOT install
    make DESTDIR=$RPM_BUILD_ROOT install.man
    mkdir -p $RPM_BUILD_ROOT%{_docdir}/tcsh
    install -m 0444 FAQ $RPM_BUILD_ROOT%{_docdir}/tcsh/FAQ.tcsh
    mkdir -p $RPM_BUILD_ROOT/etc/profile.d/
    install -m 644 SuSE/bindkey.tcsh  $RPM_BUILD_ROOT/etc/profile.d/
    install -m 644 SuSE/complete.tcsh $RPM_BUILD_ROOT/etc/profile.d/

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_docdir}/tcsh
/bin/csh
/bin/tcsh
%config /etc/profile.d/bindkey.tcsh
%config /etc/profile.d/complete.tcsh
/usr/bin/csh
/usr/bin/tcsh
%doc %{_docdir}/tcsh/FAQ.tcsh
%doc /usr/share/man/man1/csh.1.gz
%doc /usr/share/man/man1/tcsh.1.gz
/usr/share/locale/*/LC_MESSAGES/tcsh

%changelog -n tcsh
* Fri Oct 08 2004 - werner@suse.de
- Make fcntl call with O_LARGEFILE portable (bug #46977)
* Thu May 27 2004 - ro@suse.de
- fix sigpause call (force use of sysv flavour)
* Fri Apr 02 2004 - mls@suse.de
- fix utf-8 expansion, ls-F, prompt handling
* Mon Mar 29 2004 - mls@suse.de
- fix utf-8 handling (really fixes #29983, #35486)
* Tue Mar 16 2004 - werner@suse.de
- Do not forget the patch for bug #29983 even if not used
- Accept chinese in dspmbyte and map this on euc
* Wed Mar 10 2004 - werner@suse.de
- Disable multibyte ix due problems on long lines (bug #35486)
- Simplify mv/cp complete
* Thu Mar 04 2004 - werner@suse.de
- Fix mv/cp complete bug (#35339)
* Fri Feb 20 2004 - werner@suse.de
- Add simple workaround for multibyte command lines (bug #29983)
* Wed Jan 28 2004 - werner@suse.de
- Fix bug #34126: add runtime detection as fallback
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Sep 19 2003 - werner@suse.de
- Fix the fix for bug #29956: use a ringbuffer to avoid trouble
  with recursive calls of UTF-8 convertes messges (bug #31335)
* Thu Sep 04 2003 - werner@suse.de
- Corruption of cursor position is currently not fixable.
  fix some other bugs.
* Wed Sep 03 2003 - mfabian@suse.de
- Bugzilla #29956: convert all message catalogs to UTF-8 and
  convert the strings returned by catgets from UTF-8 into the
  encoding of the current locale.
- move Ukrainian message catalog into uk_UA subdirectory
  instead of ru_UA.koi8u.
* Fri Jul 18 2003 - werner@suse.de
- Fix multi byte initialization (bug #27793)
- Enable multi byte unset on LANG change
- Fix signess/unsigness mixtures
* Fri May 23 2003 - coolo@suse.de
- use BuildRoot
* Wed May 14 2003 - werner@suse.de
- Move pointer adress handling from int to intptr_t
* Thu Apr 17 2003 - werner@suse.de
- Fix multibyte initialization
* Mon Feb 17 2003 - werner@suse.de
- Fix bug #23681: don't reset full command line if an error occurs
* Mon Nov 11 2002 - ro@suse.de
- use x-devel-packages in neededforbuild
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Aug 07 2002 - werner@suse.de
- Fix bindkey.tcsh for xterm and add some more keys (bug #15002)
* Tue Jul 30 2002 - werner@suse.de
- Update to 6.12.00
- Fix codesets of message cats
* Fri Jul 19 2002 - mls@suse.de
- fix bindkey.tcsh to make it work with an unset $TERM variable
* Wed Mar 20 2002 - werner@suse.de
- Fix bug # 15143: Unreadable /etc/printcap due paranoid SysAdmins
  should not stop tcsh.
* Wed Dec 12 2001 - werner@suse.de
- Revisit some complete expansion (mainly for mv, cp, make, and
  man), sed error scanners should work for all languages.
* Thu Sep 06 2001 - werner@suse.de
- Update to 6.11.00 due
  * correct large file support
  * Avoid core-dumping on very long $HOME variable
  * Don't call qsort(3) with 0 items
  * Fix redrawing in the recognize case
  * MAXHOSTNAMELEN needs to be 256 (instead of 255)
  * Big5 multibyte support
  * Fix rmstar not to corrupt memory on off
* Wed May 16 2001 - werner@suse.de
- Force large file support
* Wed May 09 2001 - cstein@suse.de
- Corrected German spellings in nls/german/set6
* Wed Mar 07 2001 - werner@suse.de
- We use xmkmf therefore we need a full X environment at build
* Fri Feb 09 2001 - werner@suse.de
- Don't use the authors (endless looping) security temp file
  change but the mkstemp() function.
* Fri Feb 02 2001 - mfabian@suse.de
- update to version 6.10.00
  (because the new version has  support for display and editing of
  multibyte characters)
- add patch to enable multibyte character editing
- patch to glob.c removed (included upstream)
- patch to sh.dir.c removed (included upstream)
- patch to tw.color.c removed (incuded upstream)
- last hunk of patch to tw.h removed (included upstream)
- bzip2 sources
* Fri Dec 15 2000 - werner@suse.de
- Add missed hash for a comment.
* Wed Nov 22 2000 - werner@suse.de
- Make /etc/profile.d/bindkey.tcsh knowing about TERM kvt and gnome
* Fri Nov 17 2000 - kukuk@suse.de
- fix neededforbuild: textutil -> textutils
* Thu Nov 02 2000 - werner@suse.de
- Use mkstemp for opening tmp files for `<<' redirects
- Use TMPDIR variable for location of tmp files
- Set group tag in spec
* Wed May 24 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Wed Jan 26 2000 - werner@suse.de
- New version 6.09.00
- /usr/man -> /usr/share/man
- Fix usage of catopen (MCLoadBySet isn't that what is used
  internally within glibc, set it to MCLoadBySet)
- Avoid crahs due coloured ls-F
- Correct setpath NLS message
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - werner@suse.de
- Source key binding and completion code from
  /etc/csh.cshrc out into /etc/profile.d/bindkey.tcsh and
  /etc/profile.d/complete.tcsh
- No newgrp builtin because its equivalent to exec newgrp
* Wed Jun 16 1999 - ro@suse.de
- create localedirs before make install
* Fri Jun 11 1999 - werner@suse.de
- New version
  Fri Mar 12 14:21:46 MET 1999
- Fix SIGSEGV caused different sizes of FILSIZ and BUFSIZE
- New version
- Restore missed MAXNAMLEN
- Make it alpha compile
* Thu Dec 03 1998 - werner@suse.de
- Fix SIGSEGV with SYSMALOC
  * alloc n+1 not n chunks
  * set freed pointer to (ptr_t)NULL
* Wed Sep 16 1998 - werner@suse.de
- Stupid error fixed
* Tue Sep 15 1998 - werner@suse.de
- Security fix
- Avoid I/O trouble, use POSIX
* Wed Oct 22 1997 - werner@suse.de
- Updatet FAQ.tcsh
- Better installation: remove old files before linking
* Thu Jan 02 1997 - bs@suse.de
  added FAQ.tcsh
* Thu Jan 02 1997 - werner@suse.de
- Neue Version 6.07.02 mit einigen Fixes
